/*
    Klat4 - A LaTeX editor for KDE4
    
    Copyright (C) 2008  Anna A. Ladilova (ladilova@algebraic.ru)
    Copyright (C) 2002-2004  Jori Liesenborgs (jori@lumumba.luc.ac.be)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef KLATHTMLWDIGET_H

#define KLATHTMLWDIGET_H

#include <KHTMLPart>

class KlatHTMLWidget : public KHTMLPart
{
	Q_OBJECT
public:
	KlatHTMLWidget(QWidget *parent);
	~KlatHTMLWidget();
	void openAppDataUrl(const QString &relpath);
	void leaveEvent(QEvent* event);
signals:
	void signalSymbolCodeSelected(const QString &str,int advance);
	void onURLcode(const QString &code);
private:
	bool urlSelected(const QString &url, int button, int state,const QString &_target, const KParts::OpenUrlArguments& args, const KParts::BrowserArguments& browserArgs);
public slots:
	void onURLslot(const QString &url);
};

#endif // KLATHTMLWDIGET_H
